---
# file: roles/fr.vmware-tools/tasks/main.yml

- name: Set OS dependent variables
  include_vars: "{{ item }}"
  with_first_found:
   - "{{ ansible_distribution }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_distribution }}.yml"
   - "{{ ansible_os_family }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_os_family }}.yml"
   - default.yml

- name: OS is supported
  assert:
    that: vmwaretools__supported|bool

- name: Install Open VMWare Tools packages
  become: yes
  package:
    name: "{{ item }}"
    state: present
  with_items:
    - "{{ vmwaretools__packages }}"
  when: ansible_virtualization_role == "guest" and ansible_system_vendor == "VMware, Inc."

- name: Enable VMWare Tools on bootup
  service:
    name: "{{ vmwaretools__service }}"
    state: started
    enabled: yes
  when: ansible_virtualization_role == "guest" and ansible_system_vendor == "VMware, Inc."

...
